function xout=stil(x,par,dim);

% Stiletto map

% Smith, L. A., 1997, The maintenance of uncertainty, in G. Cini Castognoli
% and A. Provenzale, editors, Past and Present Variability of the
% Solar-Terrestrial system: Measurement, Data Analysis and Theoretical Models,
% volume CXXXIII of Proceedings of the International School of Physics,
% 177-246, Amsterdam, Italian Physical Society.

% Equations:
% x_{i+1} = (x_i + 1.0/a)*exp(a*(1.0 - x_i) - 1.0) - 1.0/a + y_i
% y_{i+1} = b*x_i - y_i*s

xout(1) = (x(1) + 1.0/par(1))*exp(par(1)*(1.0 - x(1)) - 1.0) - 1.0/par(1) + x(2);
xout(2) = par(2)*x(1) - x(2)*par(4);
