function xout=ikeda(x,par,dim);

% Ikeda map

% Ikeda, K., 1979, Multiple-valued stationary state and its
% instability of the transmitted light by a ring cavity
% system, Opt. Commun., 30, 257.

% Equations
% x_{i+1} = 1.0 + \mu*(x_i*cos(t) - y_i*sin(t))
% y_{i+1} = \mu*(x_i*sin(t) + y_i*cos(t))
% t       = a - b/(x_i*_i + y_i*y_i + 1.0)

t       = par(1) - par(2)/(x(1)*x(1) + x(2)*x(2) + 1.);
xout(1) = 1. + par(3)*(x(1)*cos(t) - x(2)*sin(t));
xout(2) = par(3)*(x(1)*sin(t) + x(2)*cos(t));
