function derivs = derivsL63(x, par, dim)

% Lorenz '63

% Lorenz, E. N., 1963, Deterministic nonperiodic flow, Journal of the
% Atmospheric Sciences, 20, 130-141.

% Equations:
% \dot{x}(1) = -\sigma*x(1) + \sigma*x(2)
% \dot{x}(2) = -x(1)*x(3) + r*x(1) - x(2)
% \dot{x}(3) =  x(1)*x(2) - b*x(3)

derivs(1) = -par(1)*x(1) + par(1)*x(2);
derivs(2) = -x(1)*x(3) + par(2)*x(1) - x(2);
derivs(3) =  x(1)*x(2) - par(3)*x(3);

