function derivs = derivsros(x, par, dim)

% Rossler

% Rossler, O. E., 1976, An equation for continuous chaos, Physics
% Letters A, 57, 397.

% Equations:
% \dot{x}(1) = -(x(2) + x(3))
% \dot{x}(2) =   x(1) + a*x(2)
% \dot{x}(3) =   b + x(3)*(x(1) - c)

derivs(1) = -(x(2) + x(3));
derivs(2) =  x(1) + par(1)*x(2);
derivs(3) =  par(2) + x(3)*(x(1)-par(3));
